# Uses of Class
org.eclipse.jdt.core.dom.SingleMemberAnnotation

Packages that use SingleMemberAnnotation
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.

## Uses of SingleMemberAnnotation in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return SingleMemberAnnotation
Modifier and Type
Method
Description
`SingleMemberAnnotation`
AST.`newSingleMemberAnnotation()`
Creates and returns a new unparented single member annotation node with an unspecified type name and value.
Methods in org.eclipse.jdt.core.dom with parameters of type SingleMemberAnnotation
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(SingleMemberAnnotation node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(SingleMemberAnnotation node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(SingleMemberAnnotation node)`
Visits the given type-specific AST node.

## Uses of SingleMemberAnnotation in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation with parameters of type SingleMemberAnnotation
Modifier and Type
Method
Description
`boolean`
ImportReferencesCollector.`visit(SingleMemberAnnotation node)`